plocate-build(8)

NAME
plocate-build - generate index for plocate

SYNOPSIS
plocate-build [OPTION]... MLOCATE_DB PLOCATE_DB

DESCRIPTION
plocate-build creates an index from plocate(1) from an index earlier generated by updatedb(8) from the mlocate(1) package. Most users would rather want to use plocate's own updatedb(8), which is more direct. If PLOCATE_DB already exists, it will be overwritten (non-atomically). The file is created such that it is not world-readable, as the final access check is done by plocate(1) during the search.

OPTIONS

-b, --block-size SIZE
    Create blocks containing SIZE filenames each, compress them together, and treat them as the same element in the posting lists. This makes the index smaller (because the compression algorithm gets more context to work with, and because there are fewer elements in each posting list), but also makes posting lists less precise, moving more work to weeding out false positives after posting list intersection. Making this number larger will make linear search (for --regex, or very short patterns) faster, with diminishing returns around 256 filenames per block. However, making it too large will cause more false positives, reducing overall performance for typical queries. The default value is 32. Setting it to 1 makes one (compressed) block per filename.

-p, --plaintext
    Treat the input as plain text, with entries delimited by newlines, instead of an mlocate database.

-l, --require-visibility FLAG
    Set the “require file visibility before reporting it” flag in the generated database to FLAG. The default is yes, even for an mlocate database with the flag originally set to no (although the latter may change in the future).

--help
    Print out usage information, then exit successfully.

--version
    Print out version information, then exit successfully.

AUTHOR
Steinar H. Gunderson <steinar+plocate@gunderson.no>

SEE ALSO
plocate(1), /etc/cron.daily/plocate (which is called update-plocate.sh in the source distribution)